<div class="main-wrapper">
<div class="h1-block">
  <h1>Edit post</h1>
</div>
<%= form_for @post, html: { multipart: true } do |form| %>

  <% if @post.errors.any? %>
    <div id="error_explanation">
      <h2>
        <%= pluralize(@post.errors.count, "error") %> prohibited
        this article from being saved:
      </h2>
      <ul>
        <% @post.errors.full_messages.each do |msg| %>
          <li><%= msg %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div class="form-group">
    <%= form.label :image %><br>
    <%= form.file_field :image, :class=> "form-control" %>
  </div>

  <div class="form-group">
    <%= form.label :title %><br>
    <%= form.text_field :title, :class=> "form-control" %>
  </div>

  <div class="form-group">
    <%= form.label :perex %><br>
    <%= form.text_field :perex, :class=> "form-control" %>
  </div>

  <div class="form-group">
    <%= form.label :text %><br>
    <%= form.cktext_area :text, :class=> "form-control ckeditor", ckeditor: { language: 'en'} %>
  </div>

  <div class="form-group">
    <% if defined?@post.user.name %>
      <strong>Author:</strong>
      <%= @post.user.name %>
    <% end %>  
  </div>

    <br>

    <%= form.label :tags %>
    <div class="form-group">
    <% Tag.all.each do |tag| %>
      <%= form.label tag.name %>
      <%= form.check_box :tag_ids,{multiple: true, checked: !@post.tags.where(id: tag.id).empty?}, tag.id, nil %>
      &nbsp;&nbsp;
    <% end %>
  </div>

  <br>

    <!-- TODO checkboxy -->
  <div class="form-group">
  <%= fields_for :post_options do |post_options_form| %>
      <%= post_options_form.label "Public post" %> <%= post_options_form.check_box :public, {checked: @post.post_option.public?} %>  <br />
      <%= post_options_form.label "Allow comments" %> <%= post_options_form.check_box :comments_allowed, {checked: @post.post_option.comments_allowed} %>  <br />
      <%= post_options_form.label "Show comments only after approval" %> <%= post_options_form.check_box :comment_needs_approval, {checked: @post.post_option.comment_needs_approval} %>  <br />
  <% end %>
  </div>



  <div>
    <%= form.submit 'Edit post', :class => 'btn btn-lg btn-black'  %>
  </div>

<% end %>


<%= link_to posts_path, class: "btn btn-back" do %>
  <span class="glyphicon glyphicon-arrow-left"></span> Back
<% end %>

</div>